bk://kernel.bkbits.net/gregkh/linux/driver-2.6

diff -Nru a/drivers/scsi/st.c b/drivers/scsi/st.c
--- a/drivers/scsi/st.c	Mon Mar 15 22:32:55 2004
+++ b/drivers/scsi/st.c	Mon Mar 15 22:32:55 2004
@@ -3896,6 +3896,11 @@
 				       dev_num);
 				goto out_free_tape;
 			}
+			/* Make sure that the minor numbers corresponding to the four
+			   first modes always get the same names */
+			i = mode << (4 - ST_NBR_MODE_BITS);
+			snprintf(cdev->kobj.name, KOBJ_NAME_LEN, "%s%s%s", j ? "n" : "",
+				 disk->disk_name, st_formats[i]);
 			cdev->owner = THIS_MODULE;
 			cdev->ops = &st_fops;
 
